diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/custom-header.php ./wordpress-3.4/wp-admin/custom-header.php
*** ./wordpress-3.3.2/wp-admin/custom-header.php	2011-11-30 20:28:47.000000000 -0600
--- ./wordpress-3.4/wp-admin/custom-header.php	2012-06-09 19:32:19.000000000 -0500
***************
*** 636,684 ****
  	 */
  	function step_2() {
  		check_admin_referer('custom-header-upload', '_wpnonce-custom-header-upload');
! 		if ( ! current_theme_supports( 'custom-header-uploads' ) )
  			wp_die( __( 'Cheatin&#8217; uh?' ) );
  
! 		$overrides = array('test_form' => false);
! 		$file = wp_handle_upload($_FILES['import'], $overrides);
! 
! 		if ( isset($file['error']) )
! 			wp_die( $file['error'],  __( 'Image Upload Error' ) );
! 
! 		$url = $file['url'];
! 		$type = $file['type'];
! 		$file = $file['file'];
! 		$filename = basename($file);
! 
! 		// Construct the object array
! 		$object = array(
! 		'post_title' => $filename,
! 		'post_content' => $url,
! 		'post_mime_type' => $type,
! 		'guid' => $url,
! 		'context' => 'custom-header'
! 		);
! 
! 		// Save the data
! 		$id = wp_insert_attachment($object, $file);
! 
! 		list($width, $height, $type, $attr) = getimagesize( $file );
  
! 		if ( $width == HEADER_IMAGE_WIDTH && $height == HEADER_IMAGE_HEIGHT ) {
  			// Add the meta-data
! 			wp_update_attachment_metadata( $id, wp_generate_attachment_metadata( $id, $file ) );
! 			update_post_meta( $id, '_wp_attachment_is_custom_header', get_option('stylesheet' ) );
  
! 			set_theme_mod('header_image', esc_url($url));
! 			do_action('wp_create_file_in_uploads', $file, $id); // For replication
  			return $this->finished();
! 		} elseif ( $width > HEADER_IMAGE_WIDTH ) {
! 			$oitar = $width / HEADER_IMAGE_WIDTH;
! 			$image = wp_crop_image($file, 0, 0, $width, $height, HEADER_IMAGE_WIDTH, $height / $oitar, false, str_replace(basename($file), 'midsize-'.basename($file), $file));
! 			if ( is_wp_error( $image ) )
! 				wp_die( __( 'Image could not be processed.  Please go back and try again.' ), __( 'Image Processing Error' ) );
  
! 			$image = apply_filters('wp_create_file_in_uploads', $image, $id); // For replication
  
  			$url = str_replace(basename($url), basename($image), $url);
  			$width = $width / $oitar;
--- 683,737 ----
  	 */
  	function step_2() {
  		check_admin_referer('custom-header-upload', '_wpnonce-custom-header-upload');
! 		if ( ! current_theme_supports( 'custom-header', 'uploads' ) )
  			wp_die( __( 'Cheatin&#8217; uh?' ) );
  
! 		if ( empty( $_POST ) && isset( $_GET['file'] ) ) {
! 			$attachment_id = absint( $_GET['file'] );
! 			$file = get_attached_file( $attachment_id, true );
! 			$url = wp_get_attachment_image_src( $attachment_id, 'full');
! 			$url = $url[0];
! 		} elseif ( isset( $_POST ) ) {
! 			extract($this->step_2_manage_upload());
! 		}
  
! 		if ( file_exists( $file ) ) {
! 			list( $width, $height, $type, $attr ) = getimagesize( $file );
! 		} else {
! 			$data = wp_get_attachment_metadata( $attachment_id );
! 			$height = $data[ 'height' ];
! 			$width = $data[ 'width' ];
! 			unset( $data );
! 		}
! 
! 		$max_width = 0;
! 		// For flex, limit size of image displayed to 1500px unless theme says otherwise
! 		if ( current_theme_supports( 'custom-header', 'flex-width' ) )
! 			$max_width = 1500;
! 
! 		if ( current_theme_supports( 'custom-header', 'max-width' ) )
! 			$max_width = max( $max_width, get_theme_support( 'custom-header', 'max-width' ) );
! 		$max_width = max( $max_width, get_theme_support( 'custom-header', 'width' ) );
! 
! 		// If flexible height isn't supported and the image is the exact right size
! 		if ( ! current_theme_supports( 'custom-header', 'flex-height' ) && ! current_theme_supports( 'custom-header', 'flex-width' )
! 			&& $width == get_theme_support( 'custom-header', 'width' ) && $height == get_theme_support( 'custom-header', 'height' ) )
! 		{
  			// Add the meta-data
! 			if ( file_exists( $file ) )
! 				wp_update_attachment_metadata( $attachment_id, wp_generate_attachment_metadata( $attachment_id, $file ) );
! 
! 			$this->set_header_image( compact( 'url', 'attachment_id', 'width', 'height' ) );
  
! 			do_action('wp_create_file_in_uploads', $file, $attachment_id); // For replication
  			return $this->finished();
! 		} elseif ( $width > $max_width ) {
! 			$oitar = $width / $max_width;
! 			$image = wp_crop_image($attachment_id, 0, 0, $width, $height, $max_width, $height / $oitar, false, str_replace(basename($file), 'midsize-'.basename($file), $file));
! 			if ( ! $image || is_wp_error( $image ) )
! 				wp_die( __( 'Image could not be processed. Please go back and try again.' ), __( 'Image Processing Error' ) );
  
! 			$image = apply_filters('wp_create_file_in_uploads', $image, $attachment_id); // For replication
  
  			$url = str_replace(basename($url), basename($image), $url);
  			$width = $width / $oitar;
***************
*** 704,728 ****
  	<input type="hidden" name="y1" id="y1" value="0"/>
  	<input type="hidden" name="width" id="width" value="<?php echo esc_attr( $width ); ?>"/>
  	<input type="hidden" name="height" id="height" value="<?php echo esc_attr( $height ); ?>"/>
! 	<input type="hidden" name="attachment_id" id="attachment_id" value="<?php echo esc_attr( $id ); ?>" />
  	<input type="hidden" name="oitar" id="oitar" value="<?php echo esc_attr( $oitar ); ?>" />
  	<?php wp_nonce_field( 'custom-header-crop-image' ) ?>
  
! 	<?php submit_button( __( 'Crop and Publish' ) ); ?>
  	</p>
  </form>
  </div>
  		<?php
  	}
  
  	/**
  	 * Display third step of custom header image page.
  	 *
  	 * @since 2.1.0
  	 */
  	function step_3() {
! 		check_admin_referer('custom-header-crop-image');
! 		if ( ! current_theme_supports( 'custom-header-uploads' ) )
  			wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  		if ( $_POST['oitar'] > 1 ) {
--- 757,822 ----
  	<input type="hidden" name="y1" id="y1" value="0"/>
  	<input type="hidden" name="width" id="width" value="<?php echo esc_attr( $width ); ?>"/>
  	<input type="hidden" name="height" id="height" value="<?php echo esc_attr( $height ); ?>"/>
! 	<input type="hidden" name="attachment_id" id="attachment_id" value="<?php echo esc_attr( $attachment_id ); ?>" />
  	<input type="hidden" name="oitar" id="oitar" value="<?php echo esc_attr( $oitar ); ?>" />
+ 	<?php if ( empty( $_POST ) && isset( $_GET['file'] ) ) { ?>
+ 	<input type="hidden" name="create-new-attachment" value="true" />
+ 	<?php } ?>
  	<?php wp_nonce_field( 'custom-header-crop-image' ) ?>
  
! 	<p class="submit">
! 	<?php submit_button( __( 'Crop and Publish' ), 'primary', 'submit', false ); ?>
! 	<?php
! 	if ( isset( $oitar ) && 1 == $oitar )
! 		submit_button( __( 'Skip Cropping, Publish Image as Is' ), 'secondary', 'skip-cropping', false );
! 	?>
  	</p>
  </form>
  </div>
  		<?php
  	}
  
+ 
+ 	/**
+ 	 * Upload the file to be cropped in the second step.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
+ 	function step_2_manage_upload() {
+ 		$overrides = array('test_form' => false);
+ 		$file = wp_handle_upload($_FILES['import'], $overrides);
+ 
+ 		if ( isset($file['error']) )
+ 			wp_die( $file['error'],  __( 'Image Upload Error' ) );
+ 
+ 		$url = $file['url'];
+ 		$type = $file['type'];
+ 		$file = $file['file'];
+ 		$filename = basename($file);
+ 
+ 		// Construct the object array
+ 		$object = array(
+ 			'post_title'     => $filename,
+ 			'post_content'   => $url,
+ 			'post_mime_type' => $type,
+ 			'guid'           => $url,
+ 			'context'        => 'custom-header'
+ 		);
+ 
+ 		// Save the data
+ 		$attachment_id = wp_insert_attachment( $object, $file );
+ 		return compact( 'attachment_id', 'file', 'filename', 'url', 'type' );
+ 	}
+ 
  	/**
  	 * Display third step of custom header image page.
  	 *
  	 * @since 2.1.0
  	 */
  	function step_3() {
! 		check_admin_referer( 'custom-header-crop-image' );
! 
! 		if ( ! current_theme_supports( 'custom-header', 'uploads' ) )
  			wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  		if ( $_POST['oitar'] > 1 ) {
***************
*** 735,771 ****
  		$attachment_id = absint( $_POST['attachment_id'] );
  		$original = get_attached_file($attachment_id);
  
! 		$cropped = wp_crop_image( $attachment_id, (int) $_POST['x1'], (int) $_POST['y1'], (int) $_POST['width'], (int) $_POST['height'], HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT );
! 		if ( is_wp_error( $cropped ) )
! 			wp_die( __( 'Image could not be processed.  Please go back and try again.' ), __( 'Image Processing Error' ) );
  
  		$cropped = apply_filters('wp_create_file_in_uploads', $cropped, $attachment_id); // For replication
  
  		$parent = get_post($attachment_id);
  		$parent_url = $parent->guid;
! 		$url = str_replace(basename($parent_url), basename($cropped), $parent_url);
  
  		// Construct the object array
  		$object = array(
  			'ID' => $attachment_id,
  			'post_title' => basename($cropped),
  			'post_content' => $url,
! 			'post_mime_type' => 'image/jpeg',
  			'guid' => $url,
  			'context' => 'custom-header'
  		);
  
  		// Update the attachment
! 		wp_insert_attachment($object, $cropped);
  		wp_update_attachment_metadata( $attachment_id, wp_generate_attachment_metadata( $attachment_id, $cropped ) );
- 		update_post_meta( $attachment_id, '_wp_attachment_is_custom_header', get_option('stylesheet' ) );
  
! 		set_theme_mod('header_image', $url);
  
  		// cleanup
! 		$medium = str_replace(basename($original), 'midsize-'.basename($original), $original);
! 		@unlink( apply_filters( 'wp_delete_file', $medium ) );
! 		@unlink( apply_filters( 'wp_delete_file', $original ) );
  
  		return $this->finished();
  	}
--- 829,903 ----
  		$attachment_id = absint( $_POST['attachment_id'] );
  		$original = get_attached_file($attachment_id);
  
! 
! 		$max_width = 0;
! 		// For flex, limit size of image displayed to 1500px unless theme says otherwise
! 		if ( current_theme_supports( 'custom-header', 'flex-width' ) )
! 			$max_width = 1500;
! 
! 		if ( current_theme_supports( 'custom-header', 'max-width' ) )
! 			$max_width = max( $max_width, get_theme_support( 'custom-header', 'max-width' ) );
! 		$max_width = max( $max_width, get_theme_support( 'custom-header', 'width' ) );
! 
! 		if ( ( current_theme_supports( 'custom-header', 'flex-height' ) && ! current_theme_supports( 'custom-header', 'flex-width' ) ) || $_POST['width'] > $max_width )
! 			$dst_height = absint( $_POST['height'] * ( $max_width / $_POST['width'] ) );
! 		elseif ( current_theme_supports( 'custom-header', 'flex-height' ) && current_theme_supports( 'custom-header', 'flex-width' ) )
! 			$dst_height = absint( $_POST['height'] );
! 		else
! 			$dst_height = get_theme_support( 'custom-header', 'height' );
! 
! 		if ( ( current_theme_supports( 'custom-header', 'flex-width' ) && ! current_theme_supports( 'custom-header', 'flex-height' ) ) || $_POST['width'] > $max_width )
! 			$dst_width = absint( $_POST['width'] * ( $max_width / $_POST['width'] ) );
! 		elseif ( current_theme_supports( 'custom-header', 'flex-width' ) && current_theme_supports( 'custom-header', 'flex-height' ) )
! 			$dst_width = absint( $_POST['width'] );
! 		else
! 			$dst_width = get_theme_support( 'custom-header', 'width' );
! 
! 		if ( empty( $_POST['skip-cropping'] ) )
! 			$cropped = wp_crop_image( $attachment_id, (int) $_POST['x1'], (int) $_POST['y1'], (int) $_POST['width'], (int) $_POST['height'], $dst_width, $dst_height );
! 		elseif ( ! empty( $_POST['create-new-attachment'] ) )
! 			$cropped = _copy_image_file( $attachment_id );
! 		else
! 			$cropped = get_attached_file( $attachment_id );
! 
! 		if ( ! $cropped || is_wp_error( $cropped ) )
! 			wp_die( __( 'Image could not be processed. Please go back and try again.' ), __( 'Image Processing Error' ) );
  
  		$cropped = apply_filters('wp_create_file_in_uploads', $cropped, $attachment_id); // For replication
  
  		$parent = get_post($attachment_id);
  		$parent_url = $parent->guid;
! 		$url = str_replace( basename( $parent_url ), basename( $cropped ), $parent_url );
! 
! 		$size = @getimagesize( $cropped );
! 		$image_type = ( $size ) ? $size['mime'] : 'image/jpeg';
  
  		// Construct the object array
  		$object = array(
  			'ID' => $attachment_id,
  			'post_title' => basename($cropped),
  			'post_content' => $url,
! 			'post_mime_type' => $image_type,
  			'guid' => $url,
  			'context' => 'custom-header'
  		);
+ 		if ( ! empty( $_POST['create-new-attachment'] ) )
+ 			unset( $object['ID'] );
  
  		// Update the attachment
! 		$attachment_id = wp_insert_attachment( $object, $cropped );
  		wp_update_attachment_metadata( $attachment_id, wp_generate_attachment_metadata( $attachment_id, $cropped ) );
  
! 		$width = $dst_width;
! 		$height = $dst_height;
! 		$this->set_header_image( compact( 'url', 'attachment_id', 'width', 'height' ) );
  
  		// cleanup
! 		$medium = str_replace( basename( $original ), 'midsize-' . basename( $original ), $original );
! 		if ( file_exists( $medium ) )
! 			@unlink( apply_filters( 'wp_delete_file', $medium ) );
! 		if ( empty( $_POST['create-new-attachment'] ) && empty( $_POST['skip-cropping'] ) )
! 			@unlink( apply_filters( 'wp_delete_file', $original ) );
  
  		return $this->finished();
  	}
***************
*** 789,801 ****
  		if ( ! current_user_can('edit_theme_options') )
  			wp_die(__('You do not have permission to customize headers.'));
  		$step = $this->step();
! 		if ( 1 == $step )
! 			$this->step_1();
! 		elseif ( 2 == $step )
  			$this->step_2();
  		elseif ( 3 == $step )
  			$this->step_3();
  	}
  
  }
- ?>
--- 921,1052 ----
  		if ( ! current_user_can('edit_theme_options') )
  			wp_die(__('You do not have permission to customize headers.'));
  		$step = $this->step();
! 		if ( 2 == $step )
  			$this->step_2();
  		elseif ( 3 == $step )
  			$this->step_3();
+ 		else
+ 			$this->step_1();
+ 	}
+ 
+ 	/**
+ 	 * Replace default attachment actions with "Set as header" link.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
+ 	function attachment_fields_to_edit( $form_fields, $post ) {
+ 		$form_fields = array();
+ 		$href = esc_url(add_query_arg(array(
+ 			'page' => 'custom-header',
+ 			'step' => 2,
+ 			'_wpnonce-custom-header-upload' => wp_create_nonce('custom-header-upload'),
+ 			'file' => $post->ID
+ 		), admin_url('themes.php')));
+ 
+ 		$form_fields['buttons'] = array( 'tr' => '<tr class="submit"><td></td><td><a data-location="' . $href . '" class="wp-set-header">' . __( 'Set as header' ) . '</a></td></tr>' );
+ 		$form_fields['context'] = array( 'input' => 'hidden', 'value' => 'custom-header' );
+ 
+ 		return $form_fields;
+ 	}
+ 
+ 	/**
+ 	 * Leave only "Media Library" tab in the uploader window.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
+ 	function filter_upload_tabs() {
+ 		return array( 'library' => __('Media Library') );
  	}
  
+ 	/**
+ 	 * Choose a header image, selected from existing uploaded and default headers,
+ 	 * or provide an array of uploaded header data (either new, or from media library).
+ 	 *
+ 	 * @param mixed $choice Which header image to select. Allows for values of 'random-default-image',
+ 	 * 	for randomly cycling among the default images; 'random-uploaded-image', for randomly cycling
+ 	 * 	among the uploaded images; the key of a default image registered for that theme; and
+ 	 * 	the key of an image uploaded for that theme (the basename of the URL).
+ 	 *  Or an array of arguments: attachment_id, url, width, height. All are required.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
+ 	final public function set_header_image( $choice ) {
+ 		if ( is_array( $choice ) || is_object( $choice ) ) {
+ 			$choice = (array) $choice;
+ 			if ( ! isset( $choice['attachment_id'] ) || ! isset( $choice['url'] ) )
+ 				return;
+ 
+ 			$choice['url'] = esc_url_raw( $choice['url'] );
+ 
+ 			$header_image_data = (object) array(
+ 				'attachment_id' => $choice['attachment_id'],
+ 				'url'           => $choice['url'],
+ 				'thumbnail_url' => $choice['url'],
+ 				'height'        => $choice['height'],
+ 				'width'         => $choice['width'],
+ 			);
+ 
+ 			update_post_meta( $choice['attachment_id'], '_wp_attachment_is_custom_header', get_stylesheet() );
+ 			set_theme_mod( 'header_image', $choice['url'] );
+ 			set_theme_mod( 'header_image_data', $header_image_data );
+ 			return;
+ 		}
+ 
+ 		if ( in_array( $choice, array( 'remove-header', 'random-default-image', 'random-uploaded-image' ) ) ) {
+ 			set_theme_mod( 'header_image', $choice );
+ 			remove_theme_mod( 'header_image_data' );
+ 			return;
+ 		}
+ 
+ 		$uploaded = get_uploaded_header_images();
+ 		if ( $uploaded && isset( $uploaded[ $choice ] ) ) {
+ 			$header_image_data = $uploaded[ $choice ];
+ 
+ 		} else {
+ 			$this->process_default_headers();
+ 			if ( isset( $this->default_headers[ $choice ] ) )
+ 				$header_image_data = $this->default_headers[ $choice ];
+ 			else
+ 				return;
+ 		}
+ 
+ 		set_theme_mod( 'header_image', esc_url_raw( $header_image_data['url'] ) );
+ 		set_theme_mod( 'header_image_data', $header_image_data );
+ 	}
+ 
+ 	/**
+ 	 * Remove a header image.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
+ 	final public function remove_header_image() {
+ 		return $this->set_header_image( 'remove-header' );
+ 	}
+ 
+ 	/**
+ 	 * Reset a header image to the default image for the theme.
+ 	 *
+ 	 * This method does not do anything if the theme does not have a default header image.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
+ 	final public function reset_header_image() {
+ 		$this->process_default_headers();
+ 		$default = get_theme_support( 'custom-header', 'default-image' );
+ 
+ 		if ( ! $default )
+ 			return $this->remove_header_image();
+ 
+ 		$default = sprintf( $default, get_template_directory_uri(), get_stylesheet_directory_uri() );
+ 
+ 		foreach ( $this->default_headers as $header => $details ) {
+ 			if ( $details['url'] == $default ) {
+ 				$default_data = $details;
+ 				break;
+ 			}
+ 		}
+ 
+ 		set_theme_mod( 'header_image', $default );
+ 		set_theme_mod( 'header_image_data', (object) $default_data );
+ 	}
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/customize.php ./wordpress-3.4/wp-admin/customize.php
*** ./wordpress-3.3.2/wp-admin/customize.php	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/customize.php	2012-06-12 13:39:16.000000000 -0500
***************
*** 0 ****
--- 1,198 ----
+ <?php
+ /**
+  * Customize Controls
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
+  */
+ 
+ require_once( './admin.php' );
+ if ( ! current_user_can( 'edit_theme_options' ) )
+ 	wp_die( __( 'Cheatin&#8217; uh?' ) );
+ 
+ wp_reset_vars( array( 'url', 'return' ) );
+ $url = urldecode( $url );
+ $url = wp_validate_redirect( $url, home_url( '/' ) );
+ if ( $return )
+ 	$return = wp_validate_redirect( urldecode( $return ) );
+ if ( ! $return )
+ 	$return = $url;
+ 
+ global $wp_scripts, $wp_customize;
+ 
+ $registered = $wp_scripts->registered;
+ $wp_scripts = new WP_Scripts;
+ $wp_scripts->registered = $registered;
+ 
+ add_action( 'customize_controls_print_scripts',        'print_head_scripts', 20 );
+ add_action( 'customize_controls_print_footer_scripts', '_wp_footer_scripts'     );
+ add_action( 'customize_controls_print_styles',         'print_admin_styles', 20 );
+ 
+ do_action( 'customize_controls_init' );
+ 
+ wp_enqueue_script( 'customize-controls' );
+ wp_enqueue_style( 'customize-controls' );
+ 
+ do_action( 'customize_controls_enqueue_scripts' );
+ 
+ // Let's roll.
+ @header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
+ 
+ wp_user_settings();
+ _wp_admin_html_begin();
+ 
+ $body_class = '';
+ 
+ if ( wp_is_mobile() ) :
+ 	$body_class .= ' mobile';
+ 
+ 	?><meta name="viewport" id="viewport-meta" content="width=device-width, initial-scale=0.8, minimum-scale=0.5, maximum-scale=1.2"><?php
+ endif;
+ 
+ $is_ios = wp_is_mobile() && preg_match( '/iPad|iPod|iPhone/', $_SERVER['HTTP_USER_AGENT'] );
+ 
+ if ( $is_ios )
+ 	$body_class .= ' ios';
+ 
+ $admin_title = sprintf( __( '%1$s &#8212; WordPress' ), strip_tags( sprintf( __( 'Customize %s' ), $wp_customize->theme()->display('Name') ) ) );
+ ?><title><?php echo $admin_title; ?></title><?php
+ 
+ do_action( 'customize_controls_print_styles' );
+ do_action( 'customize_controls_print_scripts' );
+ ?>
+ </head>
+ <body class="<?php echo esc_attr( $body_class ); ?>">
+ <div class="wp-full-overlay expanded">
+ 	<form id="customize-controls" class="wrap wp-full-overlay-sidebar">
+ 		<?php wp_nonce_field( 'customize_controls-' . $wp_customize->get_stylesheet() ); ?>
+ 		<div id="customize-header-actions" class="wp-full-overlay-header">
+ 			<?php
+ 				$save_text = $wp_customize->is_theme_active() ? __( 'Save &amp; Publish' ) : __( 'Save &amp; Activate' );
+ 				submit_button( $save_text, 'primary', 'save', false );
+ 			?>
+ 			<img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" />
+ 			<a class="back button" href="<?php echo esc_url( $return ? $return : admin_url( 'themes.php' ) ); ?>">
+ 				<?php _e( 'Cancel' ); ?>
+ 			</a>
+ 		</div>
+ 
+ 		<?php
+ 			$screenshot = $wp_customize->theme()->get_screenshot();
+ 			$cannot_expand = ! ( $screenshot || $wp_customize->theme()->get('Description') );
+ 		?>
+ 
+ 		<div class="wp-full-overlay-sidebar-content">
+ 			<div id="customize-info" class="customize-section<?php if ( $cannot_expand ) echo ' cannot-expand'; ?>">
+ 				<div class="customize-section-title">
+ 					<span class="preview-notice"><?php
+ 						/* translators: %s is the theme name in the Customize/Live Preview pane */
+ 						echo sprintf( __( 'You are previewing %s' ), '<strong class="theme-name">' . $wp_customize->theme()->display('Name') . '</strong>' );
+ 					?></span>
+ 				</div>
+ 				<?php if ( ! $cannot_expand ) : ?>
+ 				<div class="customize-section-content">
+ 					<?php if ( $screenshot ) : ?>
+ 						<img class="theme-screenshot" src="<?php echo esc_url( $screenshot ); ?>" />
+ 					<?php endif; ?>
+ 
+ 					<?php if ( $wp_customize->theme()->get('Description') ): ?>
+ 						<div class="theme-description"><?php echo $wp_customize->theme()->display('Description'); ?></div>
+ 					<?php endif; ?>
+ 				</div>
+ 				<?php endif; ?>
+ 			</div>
+ 
+ 			<div id="customize-theme-controls"><ul>
+ 				<?php
+ 				foreach ( $wp_customize->sections() as $section )
+ 					$section->maybe_render();
+ 				?>
+ 			</ul></div>
+ 		</div>
+ 
+ 		<div id="customize-footer-actions" class="wp-full-overlay-footer">
+ 			<a href="#" class="collapse-sidebar button-secondary" title="<?php esc_attr_e('Collapse Sidebar'); ?>">
+ 				<span class="collapse-sidebar-arrow"></span>
+ 				<span class="collapse-sidebar-label"><?php _e('Collapse'); ?></span>
+ 			</a>
+ 		</div>
+ 	</form>
+ 	<div id="customize-preview" class="wp-full-overlay-main"></div>
+ 	<?php
+ 
+ 	do_action( 'customize_controls_print_footer_scripts' );
+ 
+ 	// If the frontend and the admin are served from the same domain, load the
+ 	// preview over ssl if the customizer is being loaded over ssl. This avoids
+ 	// insecure content warnings. This is not attempted if the admin and frontend
+ 	// are on different domains to avoid the case where the frontend doesn't have
+ 	// ssl certs. Domain mapping plugins can allow other urls in these conditions
+ 	// using the customize_allowed_urls filter.
+ 
+ 	$allowed_urls = array( home_url('/') );
+ 	$admin_origin = parse_url( admin_url() );
+ 	$home_origin  = parse_url( home_url() );
+ 	$cross_domain = ( strtolower( $admin_origin[ 'host' ] ) != strtolower( $home_origin[ 'host' ] ) );
+ 
+ 	if ( is_ssl() && ! $cross_domain )
+ 		$allowed_urls[] = home_url( '/', 'https' );
+ 
+ 	$allowed_urls = array_unique( apply_filters( 'customize_allowed_urls', $allowed_urls ) );
+ 
+ 	$fallback_url = add_query_arg( array(
+ 		'preview'        => 1,
+ 		'template'       => $wp_customize->get_template(),
+ 		'stylesheet'     => $wp_customize->get_stylesheet(),
+ 		'preview_iframe' => true,
+ 		'TB_iframe'      => 'true'
+ 	), home_url( '/' ) );
+ 
+ 	$login_url = add_query_arg( array(
+ 		'interim-login' => 1,
+ 		'customize-login' => 1
+ 	), wp_login_url() );
+ 
+ 	$settings = array(
+ 		'theme'    => array(
+ 			'stylesheet' => $wp_customize->get_stylesheet(),
+ 			'active'     => $wp_customize->is_theme_active(),
+ 		),
+ 		'url'      => array(
+ 			'preview'       => esc_url( $url ? $url : home_url( '/' ) ),
+ 			'parent'        => esc_url( admin_url() ),
+ 			'activated'     => admin_url( 'themes.php?activated=true&previewed' ),
+ 			'ajax'          => esc_url( admin_url( 'admin-ajax.php', 'relative' ) ),
+ 			'allowed'       => array_map( 'esc_url', $allowed_urls ),
+ 			'isCrossDomain' => $cross_domain,
+ 			'fallback'      => $fallback_url,
+ 			'home'          => esc_url( home_url( '/' ) ),
+ 			'login'         => $login_url,
+ 		),
+ 		'browser'  => array(
+ 			'mobile' => wp_is_mobile(),
+ 			'ios'    => $is_ios,
+ 		),
+ 		'settings' => array(),
+ 		'controls' => array(),
+ 	);
+ 
+ 	foreach ( $wp_customize->settings() as $id => $setting ) {
+ 		$settings['settings'][ $id ] = array(
+ 			'value'     => $setting->js_value(),
+ 			'transport' => $setting->transport,
+ 		);
+ 	}
+ 
+ 	foreach ( $wp_customize->controls() as $id => $control ) {
+ 		$control->to_json();
+ 		$settings['controls'][ $id ] = $control->json;
+ 	}
+ 
+ 	?>
+ 	<script type="text/javascript">
+ 		var _wpCustomizeSettings = <?php echo json_encode( $settings ); ?>;
+ 	</script>
+ </div>
+ </body>
+ </html>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/edit-comments.php ./wordpress-3.4/wp-admin/edit-comments.php
*** ./wordpress-3.3.2/wp-admin/edit-comments.php	2011-12-10 12:26:48.000000000 -0600
--- ./wordpress-3.4/wp-admin/edit-comments.php	2012-02-01 08:45:19.000000000 -0600
***************
*** 121,133 ****
  'id'		=> 'moderating-comments',
  'title'		=> __('Moderating Comments'),
  'content'	=>
! 	'<ul>' .
! 		'<li>' . __( 'A yellow row means the comment is waiting for you to moderate it.' ) . '</li>' .
! 		'<li>' . __( 'In the <strong>Author</strong> column, in addition to the author&#8217;s name, email address, and blog URL, the commenter&#8217;s IP address is shown. Clicking on this link will show you all the comments made from this IP address.' ) . '</li>' .
! 		'<li>' . __( 'In the <strong>Comment</strong> column, above each comment it says &#8220;Submitted on,&#8221; followed by the date and time the comment was left on your site. Clicking on the date/time link will take you to that comment on your live site. Hovering over any comment gives you options to approve, reply (and approve), quick edit, edit, spam mark, or trash that comment.' ) . '</li>' .
! 		'<li>' . __( 'In the <strong>In Response To</strong> column, there are three elements. The text is the name of the post that inspired the comment, and links to the post editor for that entry. The View Post link leads to that post on your live site. The small bubble with the number in it shows how many comments that post has received. If the bubble is gray, you have moderated all comments for that post. If it is blue, there are pending comments. Clicking the bubble will filter the comments screen to show only comments on that post.' ) . '</li>' .
! 		'<li>' . __( 'Many people take advantage of keyboard shortcuts to moderate their comments more quickly. Use the link to the side to learn more.' ) . '</li>' .
! 	'</ul>'
  ) );
  
  get_current_screen()->set_help_sidebar(
--- 121,131 ----
  'id'		=> 'moderating-comments',
  'title'		=> __('Moderating Comments'),
  'content'	=>
! 		'<p>' . __( 'A yellow row means the comment is waiting for you to moderate it.' ) . '</p>' .
! 		'<p>' . __( 'In the <strong>Author</strong> column, in addition to the author&#8217;s name, email address, and blog URL, the commenter&#8217;s IP address is shown. Clicking on this link will show you all the comments made from this IP address.' ) . '</p>' .
! 		'<p>' . __( 'In the <strong>Comment</strong> column, above each comment it says &#8220;Submitted on,&#8221; followed by the date and time the comment was left on your site. Clicking on the date/time link will take you to that comment on your live site. Hovering over any comment gives you options to approve, reply (and approve), quick edit, edit, spam mark, or trash that comment.' ) . '</p>' .
! 		'<p>' . __( 'In the <strong>In Response To</strong> column, there are three elements. The text is the name of the post that inspired the comment, and links to the post editor for that entry. The View Post link leads to that post on your live site. The small bubble with the number in it shows how many comments that post has received. If the bubble is gray, you have moderated all comments for that post. If it is blue, there are pending comments. Clicking the bubble will filter the comments screen to show only comments on that post.' ) . '</p>' .
! 		'<p>' . __( 'Many people take advantage of keyboard shortcuts to moderate their comments more quickly. Use the link to the side to learn more.' ) . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
